## ros-lunar-moveit-kinematics 0.9.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(moveit_kinematics)

add_compile_options(-std=c++11)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_planning
  pluginlib
  actionlib
  roscpp
  rosconsole
  srdfdom
  urdf
  tf
  tf_conversions
)

find_package(PkgConfig REQUIRED)
pkg_search_module(EIGEN3 REQUIRED eigen3)

set(THIS_PACKAGE_INCLUDE_DIRS
    kdl_kinematics_plugin/include
    lma_kinematics_plugin/include
    srv_kinematics_plugin/include
    cached_ik_kinematics_plugin/include
)

catkin_package(
  LIBRARIES
  INCLUDE_DIRS
    ${THIS_PACKAGE_INCLUDE_DIRS}
  CATKIN_DEPENDS
    pluginlib
    moveit_core
    moveit_ros_planning
  DEPENDS
    EIGEN3
)

include_directories(${THIS_PACKAGE_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS}
)
include_directories(SYSTEM
                    ${EIGEN3_INCLUDE_DIRS}
)

link_directories(${Boost_LIBRARY_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_subdirectory(kdl_kinematics_plugin)
add_subdirectory(lma_kinematics_plugin)
add_subdirectory(srv_kinematics_plugin)
add_subdirectory(ikfast_kinematics_plugin)
add_subdirectory(cached_ik_kinematics_plugin)

install(
  FILES
    kdl_kinematics_plugin_description.xml
    lma_kinematics_plugin_description.xml
    srv_kinematics_plugin_description.xml
    cached_ik_kinematics_plugin_description.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== cached_ik_kinematics_plugin/CMakeLists.txt ===
find_package(trac_ik_kinematics_plugin QUIET)
find_package(ur_kinematics QUIET)

find_package(Boost COMPONENTS filesystem program_options REQUIRED)

set(MOVEIT_LIB_NAME moveit_cached_ik_kinematics_base)
add_library(${MOVEIT_LIB_NAME} src/ik_cache.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${MOVEIT_LIB_NAME}
    ${Boost_FILESYSTEM_LIBRARY}
    ${catkin_LIBRARIES})
install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

if(trac_ik_kinematics_plugin_FOUND)
    include_directories(${trac_ik_kinematics_plugin_INCLUDE_DIRS})
    link_directories(${trac_ik_kinematics_plugin_PREFIX}/lib)
endif(trac_ik_kinematics_plugin_FOUND)

set(MOVEIT_LIB_NAME moveit_cached_ik_kinematics_plugin)
add_library(${MOVEIT_LIB_NAME} src/cached_ik_kinematics_plugin.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${MOVEIT_LIB_NAME}
    moveit_cached_ik_kinematics_base
    moveit_kdl_kinematics_plugin
    moveit_srv_kinematics_plugin
    ${catkin_LIBRARIES})
if(trac_ik_kinematics_plugin_FOUND)
    target_link_libraries(${MOVEIT_LIB_NAME} trac_ik_kinematics_plugin)
    set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES COMPILE_DEFINITIONS "CACHED_IK_KINEMATICS_TRAC_IK")
endif()
install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# This is just for testing purposes; the arms from Universal Robots have
# analytic solvers, so caching just adds extra overhead.
if(ur_kinematics_FOUND)
    include_directories(${ur_kinematics_INCLUDE_DIRS})
    foreach(UR 3 5 10)
        set(MOVEIT_LIB_NAME moveit_cached_ur${UR}_kinematics_plugin)
        add_library(${MOVEIT_LIB_NAME} src/cached_ur_kinematics_plugin.cpp)
        set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
        find_library(ur${UR}_pluginlib ur${UR}_moveit_plugin PATHS ${ur_kinematics_LIBRARY_DIRS})
        target_link_libraries(${MOVEIT_LIB_NAME}
            moveit_cached_ik_kinematics_base
            ${ur${UR}_pluginlib}
            ${catkin_LIBRARIES})
        install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
    endforeach()
endif()

add_executable(measure_ik_call_cost src/measure_ik_call_cost.cpp)
target_link_libraries(measure_ik_call_cost
    ${catkin_LIBRARIES}
    ${Boost_PROGRAM_OPTIONS_LIBRARY}
    ${MOVEIT_ROBOT_MODEL_LOADER_LIBRARY})
install(TARGETS measure_ik_call_cost DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== kdl_kinematics_plugin/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_kdl_kinematics_plugin)

add_library(${MOVEIT_LIB_NAME} src/kdl_kinematics_plugin.cpp
  src/chainiksolver_pos_nr_jl_mimic.cpp
  src/chainiksolver_vel_pinv_mimic.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})

target_link_libraries(${MOVEIT_LIB_NAME} moveit_rdf_loader ${catkin_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
install(DIRECTORY include/ DESTINATION include)

=== srv_kinematics_plugin/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_srv_kinematics_plugin)

add_library(${MOVEIT_LIB_NAME} src/srv_kinematics_plugin.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})

target_link_libraries(${MOVEIT_LIB_NAME} moveit_rdf_loader ${catkin_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
install(DIRECTORY include/ DESTINATION include)

=== ikfast_kinematics_plugin/templates/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(_PACKAGE_NAME_)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  pluginlib
  roscpp
  tf_conversions
)

include_directories(${catkin_INCLUDE_DIRS})

catkin_package(
  LIBRARIES
  CATKIN_DEPENDS
    moveit_core
    pluginlib
    roscpp
    tf_conversions
)

include_directories(include)

set(IKFAST_LIBRARY_NAME _LIBRARY_NAME_)

find_package(LAPACK REQUIRED)

add_library(${IKFAST_LIBRARY_NAME} src/_ROBOT_NAME___GROUP_NAME__ikfast_moveit_plugin.cpp)
target_link_libraries(${IKFAST_LIBRARY_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${LAPACK_LIBRARIES})

install(TARGETS ${IKFAST_LIBRARY_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(
  FILES
  _ROBOT_NAME___GROUP_NAME__moveit_ikfast_plugin_description.xml
  DESTINATION
  ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-lunar-moveit-kinematics (0.9.12-1xenial) xenial; urgency=high

  * migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * fixes to ikfast kinematics plugin (#808 <https://github.com/ros-planning/moveit/issues/808>)
  * Cached ik kinematics plugin (#612 <https://github.com/ros-planning/moveit/issues/612>)
    add caching wrapper for IK solvers
  * Contributors: Ian McMahon, Mark Moll, Mikael Arguedas, Robert Haschke, Xiaojian Ma

 -- Dave Coleman <dave@dav.ee>  Mon, 28 May 2018 22:00:00 -0000

ros-lunar-moveit-kinematics (0.9.11-1xenial) xenial; urgency=high

  * Merge pull request #714 <https://github.com/ros-planning/moveit/issues/714> from henhenhen/kinetic-devel_lookup-param
    Use lookupParam() in kinematics plugins
  * Replace param() with lookupParam() in srv_kinematics_plugin
  * Replace param() with lookupParam() in lma_kinematics_plugin
  * Replace param() with lookupParam() in kdl_kinematics_plugin
  * Replace param() with lookupParam() in ikfast_kinematics_plugin
  * Remove redundant parameter query
  * Contributors: Henning Kayser, Isaac I.Y. Saito

 -- Dave Coleman <dave@dav.ee>  Sun, 24 Dec 2017 23:00:00 -0000

ros-lunar-moveit-kinematics (0.9.10-1xenial) xenial; urgency=high

  * [fix][kinetic onward] Fix create_ikfast_moveit_plugin to comply with format 2 of the package.xml. Remove collada_urdf dependency #666 <https://github.com/ros-planning/moveit/pull/666>
  * [fix] create_ikfast_moveit_plugin: fixed directory variable for templates that were moved to ikfast_kinematics_plugin #620 <https://github.com/ros-planning/moveit/issues/620>
  * [improve] IKFastTemplate: Expand solutions to full joint range in searchPositionIK #598 <https://github.com/ros-planning/moveit/issues/598>
  * [improve] IKFastTemplate: searchPositionIK now returns collision-free solution which is nearest to seed state. (#585 <https://github.com/ros-planning/moveit/issues/585>)
  * Contributors: Dennis Hartmann, G.A. vd. Hoorn, Michael Görner, fsuarez6

 -- Dave Coleman <dave@dav.ee>  Fri, 08 Dec 2017 23:00:00 -0000

ros-lunar-moveit-kinematics (0.9.9-1xenial) xenial; urgency=high

  * [improve] Modify ikfast_template for getPositionIK single solution results (#537 <https://github.com/ros-planning/moveit/issues/537>)
  * Contributors: nsnitish

 -- Dave Coleman <dave@dav.ee>  Sat, 05 Aug 2017 22:00:00 -0000

ros-lunar-moveit-kinematics (0.9.8-1xenial) xenial; urgency=high

  * [build] ikfast_kinematics_plugin: Write XML files as UTF-8 (#514 <https://github.com/ros-planning/moveit/issues/514>)
  * [build] adjust cmake_minimum_required for add_compile_options (#521 <https://github.com/ros-planning/moveit/issues/521>)
  * [build] ikfast_kinematics_plugin: Add c++11 compile option. This is required for Kinetic.
  * Contributors: Martin Guenther, Michael Goerner

 -- Dave Coleman <dave@dav.ee>  Tue, 20 Jun 2017 22:00:00 -0000

ros-lunar-moveit-kinematics (0.9.7-1xenial) xenial; urgency=high

  * [fix][Kinetic+] ikfast_kinematics_plugin: Add c++11 compile option #515 <https://github.com/ros-planning/moveit/pull/515>
  * [fix][Indigo] moveit_kinematics Eigen3 dependency (#470 <https://github.com/ros-planning/moveit/issues/470>)
  * Contributors: Martin Guenther, YuehChuan

 -- Dave Coleman <dave@dav.ee>  Sun, 04 Jun 2017 22:00:00 -0000

ros-lunar-moveit-kinematics (0.9.6-1xenial) xenial; urgency=high



 -- Dave Coleman <dave@dav.ee>  Tue, 11 Apr 2017 22:00:00 -0000

ros-lunar-moveit-kinematics (0.9.5-1xenial) xenial; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@dav.ee>  Tue, 07 Mar 2017 23:00:00 -0000

ros-lunar-moveit-kinematics (0.9.4-1xenial) xenial; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@dav.ee>  Sun, 05 Feb 2017 23:00:00 -0000

ros-lunar-moveit-kinematics (0.9.3-1xenial) xenial; urgency=high

  * [fix] Replace unused service dependency with msg dep (#361 <https://github.com/ros-planning/moveit/issues/361>)
  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon

 -- Dave Coleman <dave@dav.ee>  Tue, 15 Nov 2016 23:00:00 -0000

ros-lunar-moveit-kinematics (0.9.2-1xenial) xenial; urgency=high

  * [Maintenance] Auto format codebase using clang-format (#284 <https://github.com/ros-planning/moveit/issues/284>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@dav.ee>  Fri, 04 Nov 2016 23:00:00 -0000

ros-lunar-moveit-kinematics (0.9.0-1xenial) xenial; urgency=high

  * Add dependency on new moveit_kinematics package
  * Move moveit_ikfast into moveit_kinematics
  * Moved kinematics plugins to new pkg moveit_kinematics
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@dav.ee>  Tue, 18 Oct 2016 22:00:00 -0000

ros-lunar-moveit-kinematics (0.8.3-1xenial) xenial; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sat, 20 Aug 2016 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-moveit-kinematics
Section: misc
Priority: extra
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-lunar-actionlib, ros-lunar-catkin, ros-lunar-moveit-core, ros-lunar-moveit-ros-planning, ros-lunar-pluginlib
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-lunar-moveit-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-actionlib, ros-lunar-moveit-core, ros-lunar-moveit-ros-planning, ros-lunar-pluginlib
Description: Package for all inverse kinematics solvers in MoveIt!
